Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155073 - Patch: runtime charset detection
Summary: Patch: runtime charset detection
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: snownews
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zing
QA Contact: Fedora Extras Quality Assurance
URL: http://home.nycap.rr.com/nagaland/rpm...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-15 23:38 UTC by Zing
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-03 19:41:53 UTC


Attachments (Terms of Use)
runtime charset detection (deleted)
2005-04-15 23:39 UTC, Zing
no flags Details | Diff

Description Zing 2005-04-15 23:38:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Fedora/1.7.6-1.3.2

Description of problem:
This patch allows runtime detection of the charset in use, rather than hard-coding snownew's character set at compile time.  Upstream requested this be integrated until a more final fix is done.  also see debian bug for more info:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=259376

i'll attach the patch...

Version-Release number of selected component (if applicable):
snownews-1.5.6.1-3

How reproducible:
Always

Steps to Reproduce:
1. run snownews in a non-utf8 terminal 

Actual Results:  incorrect char rendering

Expected Results:  correct char rendering

Additional info:

Comment 1 Zing 2005-04-15 23:39:46 UTC
Created attachment 113264 [details]
runtime charset detection


Note You need to log in before you can comment on or make changes to this bug.